List blasts
curl --request GET \
--url https://api.tented.ai/v1/email-blasts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tented.ai/v1/email-blasts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tented.ai/v1/email-blasts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"blasts": [
{
"blast_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"status": "draft",
"description": "<string>",
"audience_list_id": "<string>",
"audience_source": "<string>",
"audience": {
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"name": "<string>",
"kind": "<string>",
"member_count": 123
},
"email_id": "<string>",
"email_source": "<string>",
"email": {
"email_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"name": "<string>",
"status": "<string>",
"subject": "<string>",
"current_version": 123,
"approved_version": 123
},
"operational": true,
"scheduled_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"approved_email_version": 123,
"sent_at": "2023-11-07T05:31:56Z",
"send_mode": "<string>",
"details": {
"blast_recipient_count": 123,
"blast_qualified_count": 123,
"blast_sent_count": 123,
"blast_failed_count": 123,
"blast_blocked_count": 123,
"blast_audience_truncated": true,
"blast_delivered_count": 123,
"blast_opened_count": 123,
"blast_clicked_count": 123,
"blast_bounced_count": 123,
"blast_spam_count": 123,
"blast_unsubscribed_count": 123
},
"approval_readiness": {
"ready": true,
"missing": [
"<string>"
],
"warnings": [
"<string>"
]
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}{
"error": "<string>",
"error_code": "<string>",
"message": "<string>",
"code": "<string>",
"details": {},
"limit": 123,
"current": 123
}{
"error": "<string>",
"error_code": "<string>",
"message": "<string>",
"code": "<string>",
"details": {},
"limit": 123,
"current": 123
}Email Blasts
List blasts
GET
/
v1
/
email-blasts
List blasts
Authorizations
Workspace API key, e.g. Authorization: Bearer tented_.... Create keys in Workspace Settings → API Keys.
Query Parameters
Filter by lifecycle state.
Available options:
any, draft, scheduled, sending, sent, failed, cancelled, archived How to treat archived blasts.
Available options:
exclude, include, only Sort key.
Available options:
updated_at, created_at, scheduled_at, name Sort direction.
Available options:
asc, desc Page number, starting at 1. Page number (1-based).
Required range:
x >= 1Results per page (1–100). Page size.
Required range:
1 <= x <= 100Case-insensitive name search.
Maximum string length:
255